export type Address = string;

export type Suggestion = {
  value: Address;
  displayName: string;
};

export type Coordinate = number;

export type Location = {
  address: Address;
  coordinates: [Coordinate, Coordinate];
};

export type StringCoordinates = `${Coordinate},${Coordinate}`;

export type StringLocation = `${StringCoordinates} ${Address}`;